### Navigation

- index
- next |
- previous |
- Python Markdown v2.6.9 documentation »
- Extensions »
- Tables Extension »

# Tables

## Summary

The Tables extension adds the ability to create tables in Markdown documents.

This extension is included in the standard Markdown library.

## Syntax

Tables are defined using the syntax established in PHP Markdown Extra.

Thus, the following text (taken from the above referenced PHP documentation):

    First Header  | Second Header
    ------------- | -------------
    Content Cell  | Content Cell
    Content Cell  | Content Cell

will be rendered as:

    <table>
      <thead>
        <tr>
          <th>First Header</th>
          <th>Second Header</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>Content Cell</td>
          <td>Content Cell</td>
        </tr>
        <tr>
          <td>Content Cell</td>
          <td>Content Cell</td>
        </tr>
      </tbody>
    </table>

## Usage

See Extensions for general extension usage, specify `markdown.extensions.tables` as the name of the extension.

This extension does not accept any special configuration options.

### Navigation

- index
- next |
- previous |
- Python Markdown v2.6.9 documentation »
- Extensions »
- Tables Extension »